/*
 * $Id: Direction.java,v 1.1.1.1 2002/09/20 16:25:23 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */
package jp.gr.java_conf.abagames.bulletmlkxml;

import org.kxml.*;
import org.kxml.parser.*;
import java.io.*;

/**
 * Direction xml data.
 *
 * @version $Revision: 1.1.1.1 $
 */
public class Direction {
  private String type, num;

  public Direction(ParseEvent pe, XmlParser parser) throws IOException {
    Attribute ab = pe.getAttribute("type");
    if ( ab != null ) {
      type = ab.getValue();
    } else {
      type = "aim";
    }
     pe = parser.read();
     num = pe.getText();
  }

  public final String getType() {
    return type;
  }

  public final String getContent() {
    return num;
  }
}
